public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Stepan Broz <sbroz@redhat.com>
To: git-commits@fedoraproject.org
Subject: [tests/selinux] pr775-checkpolicy-revdeps: ntpsec-and-similar: Adjust subtest relevancy
Date: Fri, 11 Sep 2026 13:22:43 GMT [thread overview]
Message-ID: <178913296373.1.1024421377295833991.tests-selinux-5d60a68f27b6@fedoraproject.org> (raw)
A new commit has been pushed.
Repo : tests/selinux
Branch : pr775-checkpolicy-revdeps
Commit : 5d60a68f27b63d9dfd2e53083cce3824b1592f9f
Author : Stepan Broz <sbroz@redhat.com>
Date : 2025-05-05T14:46:52+00:00
Stats : +2/-0 in 1 file(s)
URL : https://src.fedoraproject.org/tests/selinux/c/5d60a68f27b63d9dfd2e53083cce3824b1592f9f?branch=pr775-checkpolicy-revdeps
Log:
ntpsec-and-similar: Adjust subtest relevancy
Do not test "bz#2246805 + RHEL-15085" on RHEL-9.3 or lower.
---
diff --git a/selinux-policy/ntpsec-and-similar/runtest.sh b/selinux-policy/ntpsec-and-similar/runtest.sh
index 2531b93..30ad45c 100755
--- a/selinux-policy/ntpsec-and-similar/runtest.sh
+++ b/selinux-policy/ntpsec-and-similar/runtest.sh
@@ -58,11 +58,13 @@ rlJournalStart
sleep 2
rlPhaseEnd
+ if ! rlIsRHEL "<9.4" ; then
rlPhaseStartTest "bz#2246805 + RHEL-15085"
rlSEMatchPathCon "/usr/sbin/ntpd" "ntpd_exec_t"
rlSESearchRule "allow ntpd_t ntske_port_t : tcp_socket { name_connect } [ ]"
rlSEMatchPortCon tcp 4460 ntske_port_t
rlPhaseEnd
+ fi
if [ -f /usr/lib/systemd/system/${SERVICE_NAME}.service ] ; then
rlPhaseStartTest "real scenario -- standalone service"
reply other threads:[~2026-09-11 13:22 UTC|newest]
Thread overview: [no followups] expand[flat|nested] mbox.gz Atom feed
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=178913296373.1.1024421377295833991.tests-selinux-5d60a68f27b6@fedoraproject.org \
--to=sbroz@redhat.com \
--cc=git-commits@fedoraproject.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox